
#include <qapp.h>
#include <yafAmplifier/yafAmplifier.h>
#include <devices/genericStreamProducer.h>

#include <unistd.h>

#include "guiPlayer3.h"


/**
   This example show how to implement a new device.
   This example implements a Spectrum Analyser device.
   One part is the gui, the other is the raw device.
   The interface between them is an array.

   Make sure youe have edited the file

   ../mp3Songs.h


*/



#include "../SONGS.DEF"




int main(int nargs,char** args) {
  QApplication a( nargs, args);


  YafAmplifier* amplifier;
  GenericStreamProducer* decoder;


  amplifier=new YafAmplifier();
  decoder=amplifier->createDecoder(_MP3_DECODER);
  //decoder=amplifier->createDecoder(_MP3_DECODER_REALLY_BAD);



  // here the gui part:

  GuiPlayer w;

  w.setGeometry( 100, 100, 100, 50 );
  a.setMainWidget( &w );
  w.show();


  w.setGenericStreamProducer(decoder);
  w.open(song[3]);

  a.exec();
  delete decoder;
  return 0;
}



  
